at.chipkarte.client.bkf.soap

## Class KUMUltraschall

- Object
- - at.chipkarte.client.bkf.soap.KUMUltraschall

-     public class KUMUltraschall
      extends Object

  Diese Klasse enthält die Ergebnisdaten einer Ultraschalluntersuchung der kurativen Mammographie (KurativeMammographieDoku).
  Die Angabe eines Ultraschalls ist bei der kurativen Mammographie optional. Wird KUMUltraschall allerdings angegeben, sind alle Parameter darin verpflichtend anzugeben.
  ParameterID: 0430.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KUMUltraschall()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBefundungsZeitstempel()` Zeitstempel der Befundung.
    `String` | `getErgebnis()` Ergebnis Ultraschall (US-SCORE).
    `String` | `getGrund()` Grund der Untersuchung.
    `void` | `setBefundungsZeitstempel(String befundungsZeitstempel)`
    `void` | `setErgebnis(String ergebnis)`
    `void` | `setGrund(String grund)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KUMUltraschall

          public KUMUltraschall()

  - ### Method Detail

    - #### getBefundungsZeitstempel

          public String getBefundungsZeitstempel()

      Zeitstempel der Befundung.
      Angabe: Muss.
      Darf nicht mehr als 5 Minuten in der Zukunft liegen. Muss größer oder gleich dem Leistungsdatum bzw. dem Behandlungsdatum der gewählten Konsultation sein.
      Format: TT.MM.JJJJ hh:mm:ss
      ParameterID: 0433.
      Returns:
        BefundungsZeitstempel

    - #### setBefundungsZeitstempel

          public void setBefundungsZeitstempel(String befundungsZeitstempel)

    - #### getGrund

          public String getGrund()

      Grund der Untersuchung.
      Angabe: Muss.
      Prüfung bei `USGrundTypConstant` gleich
      - '1': Erstbefunderangaben (KUMMammographieErstbefunder) - der Parameter Dichte (Ergebnis Dichte (D-SCORE)) muss mit '3' ('D3') oder '4' ('D4') und der Parameter Ergebnis (Ergebnis Mammographie (MG-SCORE)) mit '1' ('MG1'), '2' ('MG2') oder '3' ('MG3') befüllt sein
      - '2': Erstbefunderangaben (KUMMammographieErstbefunder) - der Parameter Ergebnis (Ergebnis Mammographie (MG-SCORE)) muss mit '4' ('MG4'), '5' ('MG5') oder '6' ('MG6') befüllt sein
      - '3' oder '4': keine Prüfung
      - '5': Zweitbefunderangaben (KUMMammographieZweitbefunder) - der Parameter Dichte (Ergebnis Dichte (D-SCORE)) muss mit 3 ('D3') oder 4 ('D4') und der Parameter Ergebnis (Ergebnis Mammographie (MG-SCORE)) mit '1' ('MG1'), '2' ('MG2') oder '3' ('MG3') befüllt sein
      - '6': Zweitbefunderangaben (KUMMammographieZweitbefunder) muss - der Parameter Ergebnis (Ergebnis Mammographie (MG-SCORE)) mit '4' ('MG4'), '5' ('MG5') oder '6' ('MG6') befüllt sein
      - '7' oder '8': keine Prüfung
      Mögliche Werte siehe `USGrundTypConstant`.
      ParameterID: 0436.
      Returns:
        Grund

    - #### setGrund

          public void setGrund(String grund)

    - #### getErgebnis

          public String getErgebnis()

      Ergebnis Ultraschall (US-SCORE).
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisUltraschallTypConstant`.
      ParameterID: 0435.
      Returns:
        Ergebnis

    - #### setErgebnis

          public void setErgebnis(String ergebnis)